Bug 42278 - Add documentation about Microsoft Office 365 Connector to manual
Add documentation about Microsoft Office 365 Connector to manual
Status: CLOSED FIXED
Product: UCS manual
Classification: Unclassified
Component: General
unspecified
Other Linux
: P5 normal (vote)
: UCS 4.2-3-errata
Assigned To: Stefan Gohmann
Erik Damrose
:
Depends on:
Blocks: 45608
  Show dependency treegraph
 
Reported: 2016-09-06 11:11 CEST by Nico Gulden
Modified: 2018-01-16 13:57 CET (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 2: Improvement: Would be a product improvement
Who will be affected by this bug?: 2: Will only affect a few installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.046
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted after Product Owner Review:
Ticket number: 2017070421000311
Bug group (optional): External feedback
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nico Gulden univentionstaff 2016-09-06 11:11:11 CEST
As discussed internally this app should be supported and this should be represented by the "Vendor Supported" rating. To achieve this rating, the app should be documented in the UCS manual.

This bug includes the following tasks:
* document the app in the UCS manual
* publish the manual
* Set the Website attribute for the app in the .ini file to the corresponding section in the manual
Comment 1 Nico Gulden univentionstaff 2017-07-07 10:15:24 CEST
Requested by external feedack on Ticket#2017070421000311.
Comment 3 Stefan Gohmann univentionstaff 2017-10-27 13:32:06 CEST
I've added a German chapter. Once it is verified, we should translate it: Bug #45068.

http://jenkins.knut.univention.de:8080/job/UCS-4.2/job/UCS-4.2-2/view/all/job/HandbookUCS/lastSuccessfulBuild/artifact/webroot/handbuch-4.2.html#idmcloud
Comment 4 Erik Damrose univentionstaff 2017-11-22 12:56:12 CET
"UCS und Microsoft Azure Active Directory müssen dafür keine direkte Verbindung herstellen können, da die Authentifikation ausschließlich über den Webbrowser des Clients erfolgt."

This is only partly correct. UCS must have an outgoing connection to sync the users into the Azure AD. But for the authentication itself UCS does not talk to Azure. Suggestion: "Die Authentifikation des Benutzers erfolgt ausschließlich über den Webbrowser des Clients."

"10.2.2. KonfigurationFeedback

Nach der Einrichtung über den Einrichtungsassistenten kann auf dem Reiter Office 365 konfiguriert werden, dass dieser Benutzer ins Office 365 provisioniert wird."

It should be more clear that this has to be done at the user object. Suggestion: "Nach der Einrichtung über den Einrichtungsassistenten kann über das Benutzermodul an jedem Benutzerobjekt auf dem Reiter Office 365 konfiguriert werden, dass dieser Benutzer ins Office 365 provisioniert wird."

"aus den Kontaktdaten des Benutzer" -> "aus den Kontaktdaten des Benutzers"

Information about configuring group based subscriptions for users is available at http://wiki.univention.de/index.php?title=Microsoft_Office_365_Connector We decided to not include it in the first version of the documentation

I commited my proposed changes in 97cd8d8, feel free to make additional changes, or resolve this bug if the changes are okay.
Comment 5 Stefan Gohmann univentionstaff 2017-12-08 16:30:14 CET
Thanks, looks good.
Comment 6 Erik Damrose univentionstaff 2017-12-08 16:45:14 CET
Verified
Comment 7 Philipp Hahn univentionstaff 2018-01-16 13:53:12 CET
(In reply to Stefan Gohmann from comment #3)
> I've added a German chapter. Once it is verified, we should translate it:
> Bug #45068.

Wrong reference, correct is Bug #45608
Comment 8 Philipp Hahn univentionstaff 2018-01-16 13:57:06 CET
3a15c2d PUBLISH Bug #34574,Bug #42278,Bug #43030,Bug #44631,Bug #44705,Bug #45678
e57f153 Bug #42278,Bug #34574: Add missing pictures